/***************************************************************************
 *   Copyright (C) 2010 by Conrad Hoffmann                                 *
 *   ch@bitfehler.net                                                      *
 *   http://code.bitfehler.net                                             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2,       *
 *   as published by the Free Software Foundation,                         *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef SERVERSTATUS_PINGCHECK_H
#define SERVERSTATUS_PINGCHECK_H

#include <QString>
#include <QStringList>

#include "check.h"
#include "ui_pingchecksettings.h"

namespace ServerStatus
{

class PingCheckPrivate;

class PingCheck : public Check
{

Q_OBJECT

public:

	PingCheck();
	~PingCheck();
	
	static void showSettings(QWidget* w, const Check* const currentCheck);
	
	void applySettings();
	
	QStringList parameters() const;
	
	void setParameters(const QStringList& parameters);
	
	void run();
	
	const Status& result();

private:
	
	PingCheckPrivate* d;
	
	static Ui::PingCheckSettings m_settingsUi;

};

} // end namespace serverstatus

#endif

