/***************************************************************************
 *   Copyright (C) 2010 by Conrad Hoffmann                                 *
 *   ch@bitfehler.net                                                      *
 *   http://code.bitfehler.net                                             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2,       *
 *   as published by the Free Software Foundation,                         *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "servericon.h"

#include "serverstatus.h"
#include "serverstatusconfig.h"


using namespace ServerStatus;

ServerIcon::ServerIcon(Config* config, QGraphicsItem* parent)
	: Plasma::IconWidget(parent)
{
	config_ = config;
	setIcon(config->iconForStatus(Status::None));
}

ServerIcon::~ServerIcon()
{
	hide();
}

void ServerIcon::slotChangeStatus(const Status& status)
{
	setIcon(config_->iconForStatus(status));
	setToolTip(status.description());
}
