/***************************************************************************
 *   Copyright (C) 2010 by Conrad Hoffmann                                 *
 *   ch@bitfehler.net                                                      *
 *   http://code.bitfehler.net                                             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2,       *
 *   as published by the Free Software Foundation,                         *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "serverstatus.h"

#include <KLocale>

using namespace ServerStatus;

Status Status::None(Unknown, i18n("unknown"), i18n("Server not checked yet")); 

Status::Status(Type type, const QString &name, const QString &description)
	: m_type(type),
	m_name(name),
	m_description(description),
	m_eventName("server")
{
	switch (type) {
		case Up:
			m_eventName += "up";
			break;
		case Down:
			m_eventName += "down";
			break;
		case Warning:
			m_eventName += "warning";
			break;
		case Error:
			m_eventName += "error";
			break;
		default:
			;
			// this should sctually not happen
			// maybe output a warning here?
	}
}

