/***************************************************************************
 *   Copyright (C) 2010 by Conrad Hoffmann                                 *
 *   ch@bitfehler.net                                                      *
 *   http://code.bitfehler.net                                             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2,       *
 *   as published by the Free Software Foundation,                         *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef SERVERSTATUS_H
#define SERVERSTATUS_H

#include <QString>

namespace ServerStatus
{
	
class Status 
{
	
public:
	
	enum Type
	{
		Up,
		Down,
		Warning,
		Error,
		Unknown
	};
	
	Status(Type c, const QString &name, const QString &description);

	inline Type type() const { return m_type; };
	inline const QString &name() const { return m_name; };
	inline const QString &description() const { return m_description; };
	inline const QString &eventName() const { return m_eventName; };

	static Status None;

private:
	
	Type m_type;
	QString m_name;
	QString m_description;
	QString m_eventName;
};

}
#endif