/***************************************************************************
 *   Copyright (C) 2010 by Conrad Hoffmann                                 *
 *   ch@bitfehler.net                                                      *
 *   http://code.bitfehler.net                                             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2,       *
 *   as published by the Free Software Foundation,                         *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef SERVERSTATUSAPPLET_H
#define SERVERSTATUSAPPLET_H

#include <Plasma/Applet>


class KConfigDialog;

namespace ServerStatus
{

class Check;
class Server;
class Status;
class AppletPrivate;

class Applet : public Plasma::Applet
{

Q_OBJECT

public:

	Applet(QObject* parent, const QVariantList& args);
	~Applet();
	
	void init();


protected:

	virtual void createConfigurationInterface(KConfigDialog *parent);


private:

	void buildLayout();
	
	AppletPrivate *d;
	

private Q_SLOTS:

	void slotServerStatusChanged(const ServerStatus::Server* server, const ServerStatus::Status& status);
	
	void slotConfigChanged();

};

} // end namespace ServerStatus

K_EXPORT_PLASMA_APPLET(serverstatus, ServerStatus::Applet)

#endif

